Bug 1420534 - Obsoletes not complete
Summary: Obsoletes not complete
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-baseapps
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 22:08 UTC by Adam Williamson
Modified: 2017-02-09 13:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 13:34:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2017-02-08 22:08:12 UTC
The new kde-baseapps package does not obsolete everything the old one included. At least, it appears to be missing an obsolete of libkonq, as upgrade from F24 to F26 shows this error:

Error: package libkonq-16.08.3-1.fc24.x86_64 requires kde-baseapps-common = 16.08.3-1.fc24, but none of the providers can be installed.

There may be others that are missing, that's just one that openQA upgrade tests caught.

Comment 1 Adam Williamson 2017-02-08 22:10:07 UTC
dolphin4-libs also appears to be affected:

Error: package dolphin4-libs-16.08.3-1.fc24.x86_64 requires libkonq.so.5()(64bit), but none of the providers can be installed.

Comment 2 Rex Dieter 2017-02-08 22:52:15 UTC
I think the non-Obsoletes of libkonq is on purpose, we're going to need to keep that (somewhere) in some compat-pkg.

I'll try to followup and fix that over the next day or 2

Comment 3 Rex Dieter 2017-02-09 13:34:21 UTC
On second thought, turns out all pkgs that depended on kde4/libkonq are now ported to kf5 in rawhide, so I think we can get away with add Obsoletes after all.

+Obsoletes: dolphin4 < 16.12
+Obsoletes: dolphin4-libs < 16.12
+Obsoletes: libkonq < 16.12

%changelog
* Thu Feb 09 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.2-1
- 16.12.2, Obsoletes not complete (#1420534)


Note You need to log in before you can comment on or make changes to this bug.